#!/bin/bash
# Script pour automatiser la customatisation et l'installation d'un linux mint windows like

echo "Installation des dépendances"
sudo apt update -y && sudo apt upgrade -y
sudo apt install git gtk2-engines-murrine unzip p7zip-rar 7zip -y

echo "Installation du thème Windows 10"
mkdir ~/.themes && mkdir ~/.icons
sudo wget -O /usr/share/backgrounds/xfce/Windows-10.jpg https://1.bp.blogspot.com/-pEu0ToTAMyk/XWnlO2-h6nI/AAAAAAAAYb0/U7uz1_YHqls7nOf4N0s9rP96g7jaqlWZACLcBGAs/s2560/windows_10_4k_8k_2-2560x1440.jpg
git clone https://github.com/B00merang-Artwork/Windows-10.git ~/.icons/windows
gtk-update-icon-cache ~/.icons/windows
git clone https://github.com/B00merang-Project/Windows-10.git ~/.themes/windows-light
git clone https://github.com/B00merang-Project/Windows-10-Dark.git ~/.themes/windows-dark
xfconf-query -c xsettings -p /Net/ThemeName -s "Windows-10"
xfconf-query -c xsettings -p /Net/IconThemeName -s "Windows-10-master"
gtk-update-icon-cache ~/.icons/Windows-10-master/
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor1/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor2/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitorVirtual1/workspace0/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitorVirtual1/workspace1/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitorVirtual1/workspace2/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitorVirtual1/workspace3/last-image -s "/usr/share/backgrounds/xfce/Windows-10.jpg"

# Mettre à jour le bureau et ses composants
# Trouver le fichier de configuration de whisker, theme, icons, et disposition du bureau
# https://i12bretro.github.io/tutorials/0530.html

echo "Installation des logiciels tierces"
sudo apt install keepassxc

echo "Configuration de timeshift"
sudo timeshift-gtk

echo "Configuration du système"
sudo tee -a /etc/fstab << EOF
tmpfs /tmp tmpfs defaults,mode=1777,nosuid,size=4196M 0 0
tmpfs /var/tmp tmpfs defaults,mode=1777,nosuid,size=4196M 0 0
EOF

sudo bash -c 'echo "vm.swappiness=1" >> /etc/sysctl.conf'

